SLONIK UNLOCK SET(7)

NAME
UNLOCK SET - Unlock a Slony-I set that was locked

SYNOPSIS
UNLOCK SET (options);

DESCRIPTION

Unlocks a previously locked set.

ID = ival
    ID of the set to unlock

ORIGIN = ival
    Node ID of the current set origin

This uses unlockset(integer).

EXAMPLE
UNLOCK SET (
   ID = 1,
   ORIGIN = 3
);

LOCKING BEHAVIOUR

Exclusive locks on each replicated table will be taken out on the origin node, as the triggers are removed from each table that reject table updates.

SLONIK EVENT CONFIRMATION BEHAVIOUR

Slonik does not wait for event confirmations before performing this command.

VERSION INFORMATION

This command was introduced in Slony-I 1.0